Subject: bug#34357: Non-Emacs feeling

From: Brett Gilio <[email-masked]>
Date: Wed, 06 Feb 2019 16:57:54 -0600

Ulrich Windl writes:

> Hi!
>
> This is a bug report not so much against GNU Emacs, but against the users who changed Emacs recently. To me it seems some users do not understand the spirit of Emacs when making changes. If you don't like Emacs, use another editor, but do not make Emacs like other editors!
>
> Two examples:
>
> 1: Since some versions you cannot autocomplete the buffer you are visiting any more: A typical use-case is that you want to visit the buffer you are editing in another window, like after C-x 4 b. Now you must completely type the buffer name, an absolute mis-feature!
>
> 2: When long lines are being displayed, mark up and down do not change the position to the next logical line (as defined by the buffer), but to the displayed line (subject to screen and font size). If you are at the beginning of a long line, and you want to move to the next line (maybe to insert something), this "change"  is a nightmare. I know it can be customized, but why is the incompatible stupid setting the new default?
>
> I could also mention half-window vertical scrolling...
>
>
> Regards,
> Ulrich Windl

Agree or disagree with what you are saying, what was the point of your
email? If you have an issue with certain implementations, I think it'd
be best that we are explicit in the details of that implementation
which we are critiquing. That is the tendency of free software in
general, as we are all responsible for how it works.